<?php

add_action('customize_register', 'affiliseo_customize_register');

function affiliseo_customize_register($wp_customize) {
    /*
     * SETTINGS
     */
    $wp_customize->add_setting('affiliseo_favicon', '');
    $wp_customize->add_setting('affiliseo_logo', '');
    $wp_customize->add_setting('affiliseo_header_img', '');
    $wp_customize->add_setting('affiliseo_header_img_repeat', array('default' => 'no-repeat', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_header_bg_color', array('default' => '#d4d6d5', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_text_color', array('default' => '#333', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_link_color_default', array('default' => '#428bca', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_link_color_hover', array('default' => '#2a6496', 'transport' => 'postMessage'));
    $wp_customize->add_setting('header_background_opacity', array('default' => '100', 'transport' => 'postMessage'));

    $wp_customize->add_setting('affiliseo_font_size', array('default' => '14px', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_font_color', array('default' => '#333', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_font_family_headlines', array('default' => 'Open Sans', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_font_family_text', array('default' => 'Open Sans', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_bg_image', '');
    $wp_customize->add_setting('affiliseo_bg_image_repeat', array('default' => 'no-repeat', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_bg_image_fixate', array('default' => '1', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_bg_color', array('default' => '#F1F0F0', 'transport' => 'postMessage'));

    $wp_customize->add_setting('affiliseo_content_bg_color', array('default' => '#FFFFFF', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_content_product_border_color', array('default' => '#DDD', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_product_bg_color', array('default' => '#FFFFFF', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_content_bg_opacity', array('default' => '100%', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_product_hover_bg_color', array('default' => '#FFFFFF', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_product_stars_color', array('default' => '#FF9900', 'transport' => 'postMessage'));

    $wp_customize->add_setting('affiliseo_sidebar_border_color', array('default' => '#666666', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_sidebar_headline_bg_color', array('default' => '#666666', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_sidebar_headline_img', '');
    $wp_customize->add_setting('affiliseo_sidebar_img_repeat', array('default' => 'no-repeat', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_sidebar_headline_color', array('default' => '#ffffff', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_product_h3_text_color', array('default' => '#444444', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_sidebar_text_color', array('default' => '#060000', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_sidebar_text_hover_color', array('default' => '#ff6600', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_sidebar_bg_opacity', array('default' => '100%', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_sidebar_bg_color', array('default' => '#ffffff', 'transport' => 'postMessage'));

    $wp_customize->add_setting('affiliseo_footer_bg_color', array('default' => '#ACACA8', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_footer_text_color', array('default' => '#fff', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_footer_bg_opacity', array('default' => '100%', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_footer_img', '');
    $wp_customize->add_setting('affiliseo_footer_img_repeat', array('default' => 'no-repeat', 'transport' => 'postMessage'));

    $wp_customize->add_setting('affiliseo_border_radius', array('default' => '4px', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_submit_button_bg', array('default' => '#ff6600', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_submit_button_bg_hover', array('default' => '#ED9C28', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_submit_button_text_color', array('default' => '#fff', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_submit_button_text_color_hover', array('default' => '#fff', 'transport' => 'postMessage'));
    $wp_customize->add_setting('product_headline_text_color', array('default' => '#fff', 'transport' => 'postMessage'));
    $wp_customize->add_setting('product_headline_background_color', array('default' => '#999', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_product_price_color', array('default' => '#F60', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_product_grey_box', array('default' => '#F1F1F1', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_product_grey_box_color', array('default' => '#444', 'transport' => 'postMessage'));

    $wp_customize->add_setting('affiliseo_navigation_bg_color', array('default' => '#D4D6D5', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_navigation_bg_hover_color', array('default' => '#EEE', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_navigation_text_color', array('default' => '#FFF', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_navigation_text_hover_color', array('default' => '#FFF', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_navigation_border_color', array('default' => '#e7e7e7', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_navigation_margin_top', array('default' => '0px', 'transport' => 'postMessage'));

    $wp_customize->add_setting('affiliseo_buttons_amazon_bg', array('default' => '#F0AD4E', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_buttons_amazon_bg_hover', array('default' => '#ED9C28', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_buttons_amazon_bg_image', '');
    $wp_customize->add_setting('affiliseo_buttons_amazon_bg_image_repeat', array('default' => 'no-repeat', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_buttons_amazon_text_color', array('default' => '#FFF', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_buttons_amazon_text_color_hover', array('default' => '#FFF', 'transport' => 'postMessage'));
    
    $wp_customize->add_setting('affiliseo_buttons_amazon_cart_bg', array('default' => '#F0AD4E', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_buttons_amazon_cart_bg_hover', array('default' => '#ED9C28', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_buttons_amazon_cart_bg_image', '');
    $wp_customize->add_setting('affiliseo_buttons_amazon_cart_bg_image_repeat', array('default' => 'no-repeat', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_buttons_amazon_cart_text_color', array('default' => '#FFF', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_buttons_amazon_cart_text_color_hover', array('default' => '#FFF', 'transport' => 'postMessage'));
    
    $wp_customize->add_setting('affiliseo_buttons_detail_label', array('default' => 'Produktbeschreibung &rsaquo;', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_buttons_detail_bg', array('default' => '#666', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_buttons_detail_bg_image', '');
    $wp_customize->add_setting('affiliseo_buttons_detail_bg_image_repeat', array('default' => 'no-repeat', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_buttons_detail_bg_hover', array('default' => '#888', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_buttons_detail_text_color', array('default' => '#FFF', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_buttons_detail_text_color_hover', array('default' => '#FFF', 'transport' => 'postMessage'));
    
    $wp_customize->add_setting('affiliseo_buttons_third_bg', array('default' => '#666', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_buttons_third_bg_image', '');
    $wp_customize->add_setting('affiliseo_buttons_third_bg_image_repeat', array('default' => 'no-repeat', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_buttons_third_bg_hover', array('default' => '#888', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_buttons_third_text_color', array('default' => '#FFF', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_buttons_third_text_color_hover', array('default' => '#FFF', 'transport' => 'postMessage'));

    $wp_customize->add_setting('affiliseo_wrapper_border_width', array('default' => '3px', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_wrapper_border_color', array('default' => '#FFFFFF', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_wrapper_bg_color', array('default' => '#FFFFFF', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_wrapper_bg_opacity', array('default' => '50%', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_wrapper_headerfooter_margin', array('default' => '0px', 'transport' => 'postMessage'));
    $wp_customize->add_setting('affiliseo_wrapper_content_margin', array('default' => '15px', 'transport' => 'postMessage'));
    $wp_customize->add_setting('custom_wrapper_margin_top', array('default' => '0', 'transport' => 'postMessage'));

    /*
     * SECTIONS
     */
    $wp_customize->add_section('affiliseo_all_section', array('title' => __('Allgemein', 'affiliseo'), 'priority' => 9,));
    $wp_customize->add_section('affiliseo_wrapper_section', array('title' => __('Seitenrahmen', 'affiliseo'), 'priority' => 10,));
    $wp_customize->add_section('affiliseo_header_section', array('title' => __('Kopfbereich', 'affiliseo'), 'priority' => 11,));
    $wp_customize->add_section('affiliseo_content_section', array('title' => __('Inhalt', 'affiliseo'), 'priority' => 12,));
    $wp_customize->add_section('affiliseo_product_section', array('title' => __('Produkt', 'affiliseo'), 'priority' => 13,));
    $wp_customize->add_section('affiliseo_sidebar_section', array('title' => __('Sidebar', 'affiliseo'), 'priority' => 14,));
    $wp_customize->add_section('affiliseo_footer_section', array('title' => __('Fußbereich', 'affiliseo'), 'priority' => 15,));
    $wp_customize->add_section('affiliseo_stuff_section', array('title' => __('Sonstiges', 'affiliseo'), 'priority' => 16,));
    $wp_customize->add_section('affiliseo_amazon_button_section', array('title' => __('Amazon Button', 'affiliseo'), 'priority' => 17,));
    $wp_customize->add_section('affiliseo_amazon_cart_button_section', array('title' => __('Amazon Warenkorb Button', 'affiliseo'), 'priority' => 18,));
    $wp_customize->add_section('affiliseo_detail_button_section', array('title' => __('Details Button', 'affiliseo'), 'priority' => 19,));
    $wp_customize->add_section('affiliseo_third_button_section', array('title' => __('Weiterer Button', 'affiliseo'), 'priority' => 20,));
    $wp_customize->add_section('affiliseo_checklist_section', array('title' => __('Produktvergleich', 'affiliseo'), 'priority' => 21,));
	$wp_customize->add_section('affiliseo_nav', array('title' => __('Navigation', 'affiliseo'), 'priority' => 22,));

    $wp_customize->add_setting('affiliseo_checklist_highlight_color', array('default' => '#e74c3c', 'transport' => 'postMessage'));

    /*
     * CONTROLS
     */
    $wp_customize->add_control(new WP_Customize_Image_Control($wp_customize, 'theme_bg_image', array('label' => 'Hintergrundbild', 'section' => 'affiliseo_all_section', 'settings' => 'affiliseo_bg_image', 'priority' => 0)));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize, 'theme_bg_image_repeat', array('label' => __('Bilddarstellung', 'affiliseo'), 'section' => 'affiliseo_all_section', 'settings' => 'affiliseo_bg_image_repeat', 'type' => 'select', 'choices' => array('no-repeat' => 'nicht wiederholen', 'repeat-x' => 'horizontal wiederholen', 'repeat-y' => 'vertikal wiederholen', 'repeat' => 'immer wiederholen', 'cover' => 'strecken'), 'priority' => 1,)));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize, 'theme_bg_image_fixate', array('label' => __('Hintergrundbild fixieren', 'affiliseo'), 'section' => 'affiliseo_all_section', 'settings' => 'affiliseo_bg_image_fixate', 'type' => 'checkbox', 'priority' => 2,)));
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'theme_bg_color', array('label' => __('Hintergrundfarbe', 'affiliseo'), 'section' => 'affiliseo_all_section', 'settings' => 'affiliseo_bg_color', 'priority' => 3)));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize, 'theme_font_size', array('label' => __('Schriftgröße', 'affiliseo'), 'section' => 'affiliseo_all_section', 'settings' => 'affiliseo_font_size', 'priority' => 4)));
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'theme_font_color', array('label' => __('Schriftfarbe', 'affiliseo'), 'section' => 'affiliseo_all_section', 'settings' => 'affiliseo_font_color', 'priority' => 5)));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize, 'theme_font_family_headlines', array('label' => __('Schriftart (Headlines)', 'affiliseo'), 'section' => 'affiliseo_all_section', 'settings' => 'affiliseo_font_family_headlines', 'type' => 'select', 'choices' => array('Open Sans' => 'Open Sans', 'Roboto' => 'Roboto', 'Lato' => 'Lato', 'Oswald' => 'Oswald', 'Lobster' => 'Lobster', 'Vollkorn' => 'Vollkorn', 'Lora' => 'Lora', 'Ubuntu' => 'Ubuntu', 'Ubuntu Condensed' => 'Ubuntu Condensed', 'Arial' => 'Arial', 'Helvetica' => 'Helvetica', 'Georgia' => 'Georgia', 'Sansita One' => 'Sansita One', 'Walter Turncoat' => 'Walter Turncoat', 'Rock Salt' => 'Rock Salt', 'Coda' => 'Coda', 'Special Elite' => 'Special Elite'), 'priority' => 6,)));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize, 'theme_font_family_text', array('label' => __('Schriftart (Laufschrift)', 'affiliseo'), 'section' => 'affiliseo_all_section', 'settings' => 'affiliseo_font_family_text', 'type' => 'select', 'choices' => array('Open Sans' => 'Open Sans', 'Roboto' => 'Roboto', 'Lato' => 'Lato', 'Oswald' => 'Oswald', 'Lobster' => 'Lobster', 'Vollkorn' => 'Vollkorn', 'Lora' => 'Lora', 'Ubuntu' => 'Ubuntu', 'Ubuntu Condensed' => 'Ubuntu Condensed', 'Arial' => 'Arial', 'Helvetica' => 'Helvetica', 'Georgia' => 'Georgia', 'Sansita One' => 'Sansita One', 'Walter Turncoat' => 'Walter Turncoat', 'Rock Salt' => 'Rock Salt', 'Coda' => 'Coda', 'Special Elite' => 'Special Elite'), 'priority' => 7,)));
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'theme_link_color_default', array('label' => __('Linkfarbe (Standard)', 'affiliseo'), 'section' => 'affiliseo_all_section', 'settings' => 'affiliseo_link_color_default', 'priority' => 8)));
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'theme_link_color_hover', array('label' => __('Linkfarbe (Hover)', 'affiliseo'), 'section' => 'affiliseo_all_section', 'settings' => 'affiliseo_link_color_hover', 'priority' => 9)));

    $wp_customize->add_control(new WP_Customize_Control($wp_customize, 'theme_wrapper_border_width', array('label' => __('Randstärke', 'affiliseo'), 'section' => 'affiliseo_wrapper_section', 'settings' => 'affiliseo_wrapper_border_width', 'priority' => 0)));
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'theme_wrapper_border_color', array('label' => __('Randfarbe', 'affiliseo'), 'section' => 'affiliseo_wrapper_section', 'settings' => 'affiliseo_wrapper_border_color', 'priority' => 1)));
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'theme_wrapper_bg_color', array('label' => __('Hintergrundfarbe', 'affiliseo'), 'section' => 'affiliseo_wrapper_section', 'settings' => 'affiliseo_wrapper_bg_color', 'priority' => 2)));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize, 'theme_wrapper_bg_opacity', array('label' => __('Hintergrund-Deckkraft (%)', 'affiliseo'), 'section' => 'affiliseo_wrapper_section', 'settings' => 'affiliseo_wrapper_bg_opacity', 'priority' => 3)));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize, 'theme_wrapper_headerfooter_margin', array('label' => __('Abstand zum Seitenrahmen', 'affiliseo'), 'section' => 'affiliseo_wrapper_section', 'settings' => 'affiliseo_wrapper_headerfooter_margin', 'priority' => 4)));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize, 'theme_wrapper_content_padding', array('label' => __('Zusätzlicher Abstand zum Inhaltsbereich', 'affiliseo'), 'section' => 'affiliseo_wrapper_section', 'settings' => 'affiliseo_wrapper_content_margin', 'priority' => 5)));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize, 'theme_wrapper_content_margin', array('label' => __('Abstand über Header und unter Footer', 'affiliseo'), 'section' => 'affiliseo_wrapper_section', 'settings' => 'custom_wrapper_margin_top', 'priority' => 6)));

    $wp_customize->add_control(new WP_Customize_Image_Control($wp_customize, 'theme_favicon', array('label' => 'Favicon', 'section' => 'affiliseo_header_section', 'settings' => 'affiliseo_favicon', 'priority' => 0)));
    $wp_customize->add_control(new WP_Customize_Image_Control($wp_customize, 'theme_logo', array('label' => 'Logo', 'section' => 'affiliseo_header_section', 'settings' => 'affiliseo_logo', 'priority' => 1)));
    $wp_customize->add_control(new WP_Customize_Image_Control($wp_customize, 'theme_header_img', array('label' => 'Header-Bild', 'section' => 'affiliseo_header_section', 'settings' => 'affiliseo_header_img', 'priority' => 2)));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize, 'theme_header_img_repeat', array('label' => __('Bilddarstellung', 'affiliseo'), 'section' => 'affiliseo_header_section', 'settings' => 'affiliseo_header_img_repeat', 'type' => 'select', 'choices' => array('no-repeat' => 'nicht wiederholen', 'repeat-x' => 'horizontal wiederholen', 'repeat-y' => 'vertikal wiederholen', 'repeat' => 'immer wiederholen', 'cover' => 'strecken'), 'priority' => 3,)));
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'theme_header_bg_color_gradient_bottom', array('label' => __('Hintergrundfarbe', 'affiliseo'), 'section' => 'affiliseo_header_section', 'settings' => 'affiliseo_header_bg_color', 'priority' => 5)));
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'theme_text_color', array('label' => __('Textfarbe', 'affiliseo'), 'section' => 'affiliseo_header_section', 'settings' => 'affiliseo_text_color', 'priority' => 6)));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize, 'theme_header_background_opacity', array('label' => __('Deckkraft der Hintergrundfarbe des Headers (in %)', 'affiliseo'), 'section' => 'affiliseo_header_section', 'settings' => 'header_background_opacity', 'priority' => 7)));

    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'theme_content_bg_color', array('label' => __('Hintergrundfarbe (Content-Boxen)', 'affiliseo'), 'section' => 'affiliseo_content_section', 'settings' => 'affiliseo_content_bg_color', 'priority' => 0)));
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'theme_content_product_border_color', array('label' => __('Rahmenfarbe (Content-Boxen und Produktansicht)', 'affiliseo'), 'section' => 'affiliseo_content_section', 'settings' => 'affiliseo_content_product_border_color', 'priority' => 0)));
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'theme_product_bg_color', array('label' => __('Hintergrundfarbe (Produktansicht)', 'affiliseo'), 'section' => 'affiliseo_product_section', 'settings' => 'affiliseo_product_bg_color', 'priority' => 0)));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize, 'theme_content_bg_opacity', array('label' => __('Hintergrund-Deckkraft (%)', 'affiliseo'), 'section' => 'affiliseo_content_section', 'settings' => 'affiliseo_content_bg_opacity', 'priority' => 0)));
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'theme_product_hover_bg_color', array('label' => __('Hintergrundfarbe (Produktansicht Hovereffekt)', 'affiliseo'), 'section' => 'affiliseo_product_section', 'settings' => 'affiliseo_product_hover_bg_color', 'priority' => 0)));
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'theme_product_stars_color', array('label' => __('Farbe Sterne', 'affiliseo'), 'section' => 'affiliseo_product_section', 'settings' => 'affiliseo_product_stars_color', 'priority' => 0)));

    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'theme_sidebar_border_colorr', array('label' => __('Randfarbe', 'affiliseo'), 'section' => 'affiliseo_sidebar_section', 'settings' => 'affiliseo_sidebar_border_color', 'priority' => 1)));
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'theme_sidebar_headline_bg_color', array('label' => __('Überschrift Hintergrund', 'affiliseo'), 'section' => 'affiliseo_sidebar_section', 'settings' => 'affiliseo_sidebar_headline_bg_color', 'priority' => 2)));
    $wp_customize->add_control(new WP_Customize_Image_Control($wp_customize, 'theme_sidebar_headline_img', array('label' => __('Überschrift Hintergrundbild', 'affiliseo'), 'section' => 'affiliseo_sidebar_section', 'settings' => 'affiliseo_sidebar_headline_img', 'priority' => 3)));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize, 'theme_sidebar_img_repeat', array('label' => __('Bilddarstellung', 'affiliseo'), 'section' => 'affiliseo_sidebar_section', 'settings' => 'affiliseo_sidebar_img_repeat', 'type' => 'select', 'choices' => array('no-repeat' => 'nicht wiederholen', 'repeat-x' => 'horizontal wiederholen', 'repeat-y' => 'vertikal wiederholen', 'repeat' => 'immer wiederholen', 'cover' => 'strecken'), 'priority' => 4,)));
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'theme_sidebar_headline_color', array('label' => __('Überschrift Textfarbe', 'affiliseo'), 'section' => 'affiliseo_sidebar_section', 'settings' => 'affiliseo_sidebar_headline_color', 'priority' => 5)));
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'theme_sidebar_text_color', array('label' => __('Textfarbe', 'affiliseo'), 'section' => 'affiliseo_sidebar_section', 'settings' => 'affiliseo_sidebar_text_color', 'priority' => 6)));
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'theme_sidebar_text_hover_color', array('label' => __('Textfarbe (Hover)', 'affiliseo'), 'section' => 'affiliseo_sidebar_section', 'settings' => 'affiliseo_sidebar_text_hover_color', 'priority' => 7)));
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'theme_sidebar_bg_color', array('label' => __('Hintergrundfarbe', 'affiliseo'), 'section' => 'affiliseo_sidebar_section', 'settings' => 'affiliseo_sidebar_bg_color', 'priority' => 8)));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize, 'theme_sidebar_bg_opacity', array('label' => __('Hintergrund-Deckkraft (%)', 'affiliseo'), 'section' => 'affiliseo_sidebar_section', 'settings' => 'affiliseo_sidebar_bg_opacity', 'priority' => 9)));

    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'theme_footer_bg_color', array('label' => __('Hintergrundfarbe', 'affiliseo'), 'section' => 'affiliseo_footer_section', 'settings' => 'affiliseo_footer_bg_color', 'priority' => 4)));
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'theme_footer_text_color', array('label' => __('Textfarbe', 'affiliseo'), 'section' => 'affiliseo_footer_section', 'settings' => 'affiliseo_footer_text_color', 'priority' => 5)));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize, 'theme_footer_bg_opacity', array('label' => __('Hintergrund-Deckkraft (%)', 'affiliseo'), 'section' => 'affiliseo_footer_section', 'settings' => 'affiliseo_footer_bg_opacity', 'priority' => 7)));
    $wp_customize->add_control(new WP_Customize_Image_Control($wp_customize, 'theme_footer_img', array('label' => 'Footer-Bild', 'section' => 'affiliseo_footer_section', 'settings' => 'affiliseo_footer_img', 'priority' => 8)));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize, 'theme_footer_img_repeat', array('label' => __('Bilddarstellung', 'affiliseo'), 'section' => 'affiliseo_footer_section', 'settings' => 'affiliseo_footer_img_repeat', 'type' => 'select', 'choices' => array('no-repeat' => 'nicht wiederholen', 'repeat-x' => 'horizontal wiederholen', 'repeat-y' => 'vertikal wiederholen', 'repeat' => 'immer wiederholen', 'cover' => 'strecken'), 'priority' => 9,)));

    $wp_customize->add_control(new WP_Customize_Control($wp_customize, 'theme_border_radius', array('label' => __('Runde Ecken', 'affiliseo'), 'section' => 'affiliseo_stuff_section', 'settings' => 'affiliseo_border_radius', 'priority' => 1,)));
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'theme_submit_button_bg', array('label' => __('Button Hintergrundfarbe', 'affiliseo'), 'section' => 'affiliseo_stuff_section', 'settings' => 'affiliseo_submit_button_bg', 'priority' => 2)));
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'theme_submit_button_bg_hover', array('label' => __('Button Hintergrundfarbe (Hover)', 'affiliseo'), 'section' => 'affiliseo_stuff_section', 'settings' => 'affiliseo_submit_button_bg_hover', 'priority' => 3)));
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'theme_submit_button_text_color', array('label' => __('Button Textfarbe', 'affiliseo'), 'section' => 'affiliseo_stuff_section', 'settings' => 'affiliseo_submit_button_text_color', 'priority' => 4)));
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'theme_submit_button_text_color_hover', array('label' => __('Button Textfarbe (Hover)', 'affiliseo'), 'section' => 'affiliseo_stuff_section', 'settings' => 'affiliseo_submit_button_text_color_hover', 'priority' => 4)));
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'theme_product_headline_text_color', array('label' => __('Überschrift über Produkt - Textfarbe (Headline im Shortcode)', 'affiliseo'), 'section' => 'affiliseo_product_section', 'settings' => 'product_headline_text_color', 'priority' => 5)));
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'theme_product_headline_background_color', array('label' => __('Überschrift über Produkt - Hintergrundfarbe (Headline im Shortcode)', 'affiliseo'), 'section' => 'affiliseo_product_section', 'settings' => 'product_headline_background_color', 'priority' => 6)));
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'theme_product_h3_text_color', array('label' => __('Überschrift der Produkte', 'affiliseo'), 'section' => 'affiliseo_product_section', 'settings' => 'affiliseo_product_h3_text_color', 'priority' => 7)));
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'theme_product_price_color', array('label' => __('Farbe des Preises', 'affiliseo'), 'section' => 'affiliseo_product_section', 'settings' => 'affiliseo_product_price_color', 'priority' => 8)));
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'theme_product_grey_box', array('label' => __('Hintergrundfarbe Box um Preis und Kommentare', 'affiliseo'), 'section' => 'affiliseo_product_section', 'settings' => 'affiliseo_product_grey_box', 'priority' => 9)));
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'theme_product_grey_box_color', array('label' => __('Textfarbe Box um Preis und Kommentare', 'affiliseo'), 'section' => 'affiliseo_product_section', 'settings' => 'affiliseo_product_grey_box_color', 'priority' => 10)));

    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'theme_navigation_bg_color', array('label' => __('Hintergrundfarbe', 'affiliseo'), 'section' => 'affiliseo_nav', 'settings' => 'affiliseo_navigation_bg_color', 'priority' => 12)));
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'theme_navigation_bg_hover_color', array('label' => __('Hintergrundfarbe (Hover)', 'affiliseo'), 'section' => 'affiliseo_nav', 'settings' => 'affiliseo_navigation_bg_hover_color', 'priority' => 13)));
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'theme_navigation_text_color', array('label' => __('Textfarbe', 'affiliseo'), 'section' => 'affiliseo_nav', 'settings' => 'affiliseo_navigation_text_color', 'priority' => 14)));
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'theme_navigation_text_hover_color', array('label' => __('Textfarbe (Hover)', 'affiliseo'), 'section' => 'affiliseo_nav', 'settings' => 'affiliseo_navigation_text_hover_color', 'priority' => 15)));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize, 'theme_navigation_margin_top', array('label' => __('Abstand Header zu Navigation', 'affiliseo'), 'section' => 'affiliseo_nav', 'settings' => 'affiliseo_navigation_margin_top', 'priority' => 16)));
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'theme_navigation_border_color', array('label' => __('Randfarbe', 'affiliseo'), 'section' => 'affiliseo_nav', 'settings' => 'affiliseo_navigation_border_color', 'priority' => 17)));

    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'theme_buttons_amazon_bg', array('label' => __('Hintergrundfarbe', 'affiliseo'), 'section' => 'affiliseo_amazon_button_section', 'settings' => 'affiliseo_buttons_amazon_bg', 'priority' => 8)));
    $wp_customize->add_control(new WP_Customize_Image_Control($wp_customize, 'theme_buttons_amazon_bg_image', array('label' => 'Hintergrundbild', 'section' => 'affiliseo_amazon_button_section', 'settings' => 'affiliseo_buttons_amazon_bg_image', 'priority' => 9)));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize, 'theme_buttons_amazon_bg_image_repeat', array('label' => __('Bilddarstellung', 'affiliseo'), 'section' => 'affiliseo_amazon_button_section', 'settings' => 'affiliseo_buttons_amazon_bg_image_repeat', 'type' => 'select', 'choices' => array('no-repeat' => 'nicht wiederholen', 'repeat-x' => 'horizontal wiederholen', 'repeat-y' => 'vertikal wiederholen', 'repeat' => 'immer wiederholen', 'cover' => 'strecken'), 'priority' => 10,)));
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'theme_buttons_amazon_bg_hover', array('label' => __('Hintergrundfarbe (Hover)', 'affiliseo'), 'section' => 'affiliseo_amazon_button_section', 'settings' => 'affiliseo_buttons_amazon_bg_hover', 'priority' => 11)));
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'theme_buttons_amazon_text_color', array('label' => __('Textfarbe', 'affiliseo'), 'section' => 'affiliseo_amazon_button_section', 'settings' => 'affiliseo_buttons_amazon_text_color', 'priority' => 12)));
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'theme_buttons_amazon_text_color_hover', array('label' => __('Textfarbe (Hover)', 'affiliseo'), 'section' => 'affiliseo_amazon_button_section', 'settings' => 'affiliseo_buttons_amazon_text_color_hover', 'priority' => 13)));

    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'theme_buttons_amazon_cart_bg', array('label' => __('Hintergrundfarbe', 'affiliseo'), 'section' => 'affiliseo_amazon_cart_button_section', 'settings' => 'affiliseo_buttons_amazon_cart_bg', 'priority' => 8)));
    $wp_customize->add_control(new WP_Customize_Image_Control($wp_customize, 'theme_buttons_amazon_cart_bg_image', array('label' => 'Hintergrundbild', 'section' => 'affiliseo_amazon_cart_button_section', 'settings' => 'affiliseo_buttons_amazon_cart_bg_image', 'priority' => 9)));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize, 'theme_buttons_amazon_cart_bg_image_repeat', array('label' => __('Bilddarstellung', 'affiliseo'), 'section' => 'affiliseo_amazon_cart_button_section', 'settings' => 'affiliseo_buttons_amazon_cart_bg_image_repeat', 'type' => 'select', 'choices' => array('no-repeat' => 'nicht wiederholen', 'repeat-x' => 'horizontal wiederholen', 'repeat-y' => 'vertikal wiederholen', 'repeat' => 'immer wiederholen', 'cover' => 'strecken'), 'priority' => 10,)));
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'theme_buttons_amazon_cart_bg_hover', array('label' => __('Hintergrundfarbe (Hover)', 'affiliseo'), 'section' => 'affiliseo_amazon_cart_button_section', 'settings' => 'affiliseo_buttons_amazon_cart_bg_hover', 'priority' => 11)));
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'theme_buttons_amazon_cart_text_color', array('label' => __('Textfarbe', 'affiliseo'), 'section' => 'affiliseo_amazon_cart_button_section', 'settings' => 'affiliseo_buttons_amazon_cart_text_color', 'priority' => 12)));
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'theme_buttons_amazon_cart_text_color_hover', array('label' => __('Textfarbe (Hover)', 'affiliseo'), 'section' => 'affiliseo_amazon_cart_button_section', 'settings' => 'affiliseo_buttons_amazon_cart_text_color_hover', 'priority' => 13)));

    
    $wp_customize->add_control(new WP_Customize_Control($wp_customize, 'theme_buttons_detail_label', array('label' => __('Label', 'affiliseo'), 'section' => 'affiliseo_detail_button_section', 'settings' => 'affiliseo_buttons_detail_label', 'priority' => 9)));
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'theme_buttons_detail_bg', array('label' => __('Hintergrundfarbe', 'affiliseo'), 'section' => 'affiliseo_detail_button_section', 'settings' => 'affiliseo_buttons_detail_bg', 'priority' => 10)));
    $wp_customize->add_control(new WP_Customize_Image_Control($wp_customize, 'theme_buttons_detail_bg_image', array('label' => 'Hintergrundbild', 'section' => 'affiliseo_detail_button_section', 'settings' => 'affiliseo_buttons_detail_bg_image', 'priority' => 11)));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize, 'theme_buttons_detail_bg_image_repeat', array('label' => __('Bilddarstellung', 'affiliseo'), 'section' => 'affiliseo_detail_button_section', 'settings' => 'affiliseo_buttons_detail_bg_image_repeat', 'type' => 'select', 'choices' => array('no-repeat' => 'nicht wiederholen', 'repeat-x' => 'horizontal wiederholen', 'repeat-y' => 'vertikal wiederholen', 'repeat' => 'immer wiederholen', 'cover' => 'strecken'), 'priority' => 12,)));
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'theme_buttons_detail_bg_hover', array('label' => __('Hintergrundfarbe (Hover)', 'affiliseo'), 'section' => 'affiliseo_detail_button_section', 'settings' => 'affiliseo_buttons_detail_bg_hover', 'priority' => 13)));
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'theme_buttons_detail_text_color', array('label' => __('Textfarbe', 'affiliseo'), 'section' => 'affiliseo_detail_button_section', 'settings' => 'affiliseo_buttons_detail_text_color', 'priority' => 14)));
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'theme_buttons_detail_text_color_hover', array('label' => __('Textfarbe (Hover)', 'affiliseo'), 'section' => 'affiliseo_detail_button_section', 'settings' => 'affiliseo_buttons_detail_text_color_hover', 'priority' => 15)));

    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'theme_buttons_third_bg', array('label' => __('Hintergrundfarbe', 'affiliseo'), 'section' => 'affiliseo_third_button_section', 'settings' => 'affiliseo_buttons_third_bg', 'priority' => 10)));
    $wp_customize->add_control(new WP_Customize_Image_Control($wp_customize, 'theme_buttons_third_bg_image', array('label' => 'Hintergrundbild', 'section' => 'affiliseo_third_button_section', 'settings' => 'affiliseo_buttons_third_bg_image', 'priority' => 11)));
    $wp_customize->add_control(new WP_Customize_Control($wp_customize, 'theme_buttons_third_bg_image_repeat', array('label' => __('Bilddarstellung', 'affiliseo'), 'section' => 'affiliseo_third_button_section', 'settings' => 'affiliseo_buttons_third_bg_image_repeat', 'type' => 'select', 'choices' => array('no-repeat' => 'nicht wiederholen', 'repeat-x' => 'horizontal wiederholen', 'repeat-y' => 'vertikal wiederholen', 'repeat' => 'immer wiederholen', 'cover' => 'strecken'), 'priority' => 12,)));
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'theme_buttons_third_bg_hover', array('label' => __('Hintergrundfarbe (Hover)', 'affiliseo'), 'section' => 'affiliseo_third_button_section', 'settings' => 'affiliseo_buttons_third_bg_hover', 'priority' => 13)));
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'theme_buttons_third_text_color', array('label' => __('Textfarbe', 'affiliseo'), 'section' => 'affiliseo_third_button_section', 'settings' => 'affiliseo_buttons_third_text_color', 'priority' => 14)));
    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'theme_buttons_third_text_color_hover', array('label' => __('Textfarbe (Hover)', 'affiliseo'), 'section' => 'affiliseo_third_button_section', 'settings' => 'affiliseo_buttons_third_text_color_hover', 'priority' => 15)));

    $wp_customize->add_control(new WP_Customize_Color_Control($wp_customize, 'theme_checklist_highlight_color', array('label' => __('Hintergrund- oder Rahmenfarbe der Produktempfehlung', 'affiliseo'), 'section' => 'affiliseo_checklist_section', 'settings' => 'affiliseo_checklist_highlight_color', 'priority' => 8)));

    $wp_customize->get_setting('blogname')->transport = 'postMessage';
    $wp_customize->get_setting('blogdescription')->transport = 'postMessage';

    /*
     * LIVE PREVIEW
     */
    if ($wp_customize->is_preview() && !is_admin())
        add_action('wp_footer', 'affiliseo_customize_preview', 21);

    function affiliseo_customize_preview() {
        ?>
        <script type="text/javascript">
            WebFontConfig = {
                google: {families: ['Rock+Salt::latin', 'Sansita+One::latin', 'Special+Elite::latin', 'Walter+Turncoat::latin', 'Coda::latin']}
            };
            (function () {
                var wf = document.createElement('script');
                wf.src = ('https:' == document.location.protocol ? 'https' : 'http') +
                        '://ajax.googleapis.com/ajax/libs/webfont/1/webfont.js';
                wf.type = 'text/javascript';
                wf.async = 'true';
                var s = document.getElementsByTagName('script')[0];
                s.parentNode.insertBefore(wf, s);
            })();

            (function ($) {
                // ALLGEMEIN
                wp.customize('affiliseo_header_bg_color', function (value) {
                    value.bind(function (to) {
                        $('header').css('background-color', to);
                        //$('header').attr('style', 'background: -moz-linear-gradient(top, ' + wp.customize._value.affiliseo_header_bg_color() + ' 0%, ' + to + ' 50px); background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,' + wp.customize._value.affiliseo_header_bg_color() + '), color-stop(50px,' + to + ')); background: -webkit-linear-gradient(top, ' + wp.customize._value.affiliseo_header_bg_color() + ' 0%,' + to + ' 50px); background: -o-linear-gradient(top, ' + wp.customize._value.affiliseo_header_bg_color() + ' 0%,' + to + ' 50px); background: -ms-linear-gradient(top, ' + wp.customize._value.affiliseo_header_bg_color() + ' 0%,' + to + ' 50px); background: linear-gradient(to bottom, ' + wp.customize._value.affiliseo_header_bg_color() + ' 0%,' + to + ' 50px); filter: progid:DXImageTransform.Microsoft.gradient( startColorstr="' + wp.customize._value.affiliseo_header_bg_color() + '", endColorstr="' + to + '",GradientType=0 );');
                        //$('.site_title').attr('style', 'background: -moz-linear-gradient(top, ' + wp.customize._value.affiliseo_header_bg_color() + ' 0%, ' + to + ' 50px); background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,' + wp.customize._value.affiliseo_header_bg_color() + '), color-stop(50px,' + to + ')); background: -webkit-linear-gradient(top, ' + wp.customize._value.affiliseo_header_bg_color() + ' 0%,' + to + ' 50px); background: -o-linear-gradient(top, ' + wp.customize._value.affiliseo_header_bg_color() + ' 0%,' + to + ' 50px); background: -ms-linear-gradient(top, ' + wp.customize._value.affiliseo_header_bg_color() + ' 0%,' + to + ' 50px); background: linear-gradient(to bottom, ' + wp.customize._value.affiliseo_header_bg_color() + ' 0%,' + to + ' 50px); filter: progid:DXImageTransform.Microsoft.gradient( startColorstr="' + wp.customize._value.affiliseo_header_bg_color() + '", endColorstr="' + to + '",GradientType=0 );');
                    });
                });
                wp.customize('affiliseo_header_img', function (value) {
                    value.bind(function (to) {
                        $('header').css('background-image', 'url(' + to + ')');
                    });
                });
                wp.customize('header_background_opacity', function () {
                    value.bind(function (to) {
                        $('header').css('opacity', to / 100);
                    });
                });
                wp.customize('affiliseo_text_color', function (value) {
                    value.bind(function (to) {
                        $('header').css('color', to);
                        $('.site_title').css('color', to);
                    });
                });
                wp.customize('affiliseo_font_color', function (value) {
                    value.bind(function (to) {
                        $('body').css('color', to);
                    });
                });
                wp.customize('affiliseo_link_color_default', function (value) {
                    value.bind(function (to) {
                        $('a').css('color', to);
                    })
                });
                wp.customize('affiliseo_link_color_hover', function (value) {
                    value.bind(function (to) {
                        $('a').hover(function () {
                            $(this).css('color', to);
                        });
                    });
                });

                // SEITENRAHMEN
                wp.customize('affiliseo_wrapper_headerfooter_margin', function (value) {
                    value.bind(function (to) {
                        $('.custom-wrapper').css('padding-left', to);
                        $('.custom-wrapper').css('padding-right', to);
                    });
                });

                // INHALT
                wp.customize('affiliseo_content_bg_color', function (value) {
                    value.bind(function (to) {
                        $('#content-wrapper .box').css('background', to);
                        $('.content .box').css('background', to);
                    });
                });

                // PRODUKTANSICHT
                wp.customize('affiliseo_product_bg_color', function (value) {
                    value.bind(function (to) {
                        $('thumbnail').css('background', to);
                    });
                });

                wp.customize('affiliseo_product_h3_text_color', function (value) {
                    value.bind(function (to) {
                        $('.produkte .thumbnail h3').css('color', to);
                        $('.produkte .thumbnail h3 a').css('color', to);
                        $('#h1-product').css('color', to);
                    });
                });

                // ALLGEMEIN
                wp.customize('affiliseo_font_size', function (value) {
                    value.bind(function (to) {
                        $('body').css('font-size', to);
                    });
                });
                wp.customize('affiliseo_bg_color', function (value) {
                    value.bind(function (to) {
                        $('body').css('background', to);
                    });
                });
                wp.customize('affiliseo_font_family_headlines', function (value) {
                    value.bind(function (to) {
                        $('h1, h2, h3, h4, h5, h6, .h1, .h2, .h3, .h4, .h5, .h6, .nav').css('font-family', to);
                    });
                });
                wp.customize('affiliseo_font_family_text', function (value) {
                    value.bind(function (to) {
                        $('body').css('font-family', to);
                    });
                });

                // SIDEBAR
                wp.customize('affiliseo_sidebar_border_color', function (value) {
                    value.bind(function (to) {
                        $('#sidebar .widget').css('border', '1px solid ' + to);
                    });
                });
                wp.customize('affiliseo_sidebar_headline_bg_color', function (value) {
                    value.bind(function (to) {
                        $('#sidebar .widget .h1').css('background', to);
                    });
                });
                wp.customize('affiliseo_sidebar_headline_color', function (value) {
                    value.bind(function (to) {
                        $('#sidebar .widget .h1').css('color', to);
                    });
                });
                wp.customize('affiliseo_sidebar_text_color', function (value) {
                    value.bind(function (to) {
                        $('#sidebar .widget ul li a').css('color', to);
                        $('#sidebar .widget .produkt a').css('color', to);
                    });
                });
                wp.customize('affiliseo_sidebar_text_hover_color', function (value) {
                    value.bind(function (to) {
                        $('#sidebar .widget ul li.current-menu-item a').css('color', to);
                        $('#sidebar .widget ul li a:hover').css('color', to);
                    });
                });

                // FOOTER
                wp.customize('affiliseo_footer_bg_color', function (value) {
                    value.bind(function (to) {
                        $('footer').css('background-color', to);
                    });
                });
                wp.customize('affiliseo_footer_text_color', function (value) {
                    value.bind(function (to) {
                        $('footer').css('color', to);
                        $('footer a').css('color', to);
                    });
                });

                // SONSTIGES
                wp.customize('affiliseo_border_radius', function (value) {
                    value.bind(function (to) {
                        $('.btn').css('border-radius', to);
                        $('.btn').css('-moz-border-radius', to);
                        $('.btn').css('-webkit-border-radius', to);
                        $('#sidebar .widget').css('border-radius', to);
                        $('#sidebar .widget').css('-moz-border-radius', to);
                        $('#sidebar .widget').css('-webkit-border-radius', to);
                        $('.form-control').css('border-radius', to);
                        $('.form-control').css('-moz-border-radius', to);
                        $('.form-control').css('-webkit-border-radius', to);
                        $('.form-control').css('-webkit-border-radius', to);
                        $('#navigation ul.navbar-default').css('border-radius', to);
                        $('#navigation ul.navbar-default').css('-moz-border-radius', to);
                        $('#navigation ul.navbar-default').css('-webkit-border-radius', to);
                        $('#navigation ul.navbar-default').css('-webkit-border-radius', to);
                        $('#sidebar .widget .h1').css('border-top-left-radius', to);
                        $('#sidebar .widget .h1').css('-moz-border-top-left-radius', to);
                        $('#sidebar .widget .h1').css('-webkit-border-top-left-radius', to);
                        $('#sidebar .widget .h1').css('-o-border-top-left-radius', to);
                        $('#sidebar .widget .h1').css('border-top-right-radius', to);
                        $('#sidebar .widget .h1').css('-moz-border-top-right-radius', to);
                        $('#sidebar .widget .h1').css('-webkit-border-top-right-radius', to);
                        $('#sidebar .widget .h1').css('-o-border-top-right-radius', to);
                    });
                });
                wp.customize('affiliseo_submit_button_bg', function (value) {
                    value.bind(function (to) {
                        $('form [type="submit"]').css('background', to);
                    });
                });
                wp.customize('affiliseo_submit_button_text_color', function (value) {
                    value.bind(function (to) {
                        $('form [type="submit"]').css('color', to);
                    });
                });
                wp.customize('product_headline_text_color', function (value) {
                    value.bind(function (to) {
                        $('form [type="submit"]').css('color', to);
                    });
                });
                wp.customize('product_headline_background_color', function (value) {
                    value.bind(function (to) {
                        $('form [type="submit"]').css('color', to);
                    });
                });

                // NAVIGATION
                wp.customize('affiliseo_navigation_bg_color', function (value) {
                    value.bind(function (to) {
                        $('.navbar-default').css('background', to);
                    });
                });

                wp.customize('affiliseo_navigation_text_color', function (value) {
                    value.bind(function (to) {
                        $('.navbar-default .navbar-nav > li > a').css('color', to);
                    });
                });

                // AMAZON BUTTONS
                wp.customize('affiliseo_buttons_amazon_bg', function (value) {
                    value.bind(function (to) {
                        $('.btn-amzn').css('background-color', to);
                        $('.btn-amzn').css('border-color', to);
                    });
                });
                wp.customize('affiliseo_buttons_amazon_text_color', function (value) {
                    value.bind(function (to) {
                        $('.btn-amzn').css('color', to);
                    });
                });

                // DETAILS BUTTONS
                wp.customize('affiliseo_buttons_detail_bg', function (value) {
                    value.bind(function (to) {
                        $('.btn-detail').css('background-color', to);
                        $('.btn-detail').css('border-color', to);
                    });
                });
                wp.customize('affiliseo_buttons_detail_text_color', function (value) {
                    value.bind(function (to) {
                        $('.btn-detail').css('color', to);
                    });
                });
            })(jQuery)
        </script>

        <?php

    }

}
?>